org.apache.fop.afp.util

## Class DTDEntityResolver

- java.lang.Object
- - org.apache.fop.afp.util.DTDEntityResolver

- All Implemented Interfaces:
    EntityResolver

      public class DTDEntityResolver
      extends Object
      implements EntityResolver

  An entity resolver for both DOM and SAX models of the SAX document.
  The entity resolver only handles queries for the DTD. It will find any URI with a recognised public id and return an `InputSource`.

  This work was authored by Joe Schmetzer (joe@exubero.com).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AFP_DTD_1_0_ID` Public ID for the AFP fonts 1.0 DTD.
    `static String` | `AFP_DTD_1_0_RESOURCE` Resource location for the AFP fonts 1.0 DTD.
    `static String` | `AFP_DTD_1_1_ID` Public ID for the AFP fonts 1.1 DTD.
    `static String` | `AFP_DTD_1_1_RESOURCE` Resource location for the AFP fonts 1.1 DTD.
    `static String` | `AFP_DTD_1_2_ID` Public ID for the AFP fonts 1.2 DTD.
    `static String` | `AFP_DTD_1_2_RESOURCE` Resource location for the AFP fonts 1.2 DTD.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DTDEntityResolver()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InputSource` | `resolveEntity(String publicId, String systemId)` Resolve the combination of system and public identifiers.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AFP_DTD_1_0_ID

          public static final String AFP_DTD_1_0_ID

      Public ID for the AFP fonts 1.0 DTD.
      See Also:
        Constant Field Values

    - #### AFP_DTD_1_0_RESOURCE

          public static final String AFP_DTD_1_0_RESOURCE

      Resource location for the AFP fonts 1.0 DTD.
      See Also:
        Constant Field Values

    - #### AFP_DTD_1_1_ID

          public static final String AFP_DTD_1_1_ID

      Public ID for the AFP fonts 1.1 DTD.
      See Also:
        Constant Field Values

    - #### AFP_DTD_1_1_RESOURCE

          public static final String AFP_DTD_1_1_RESOURCE

      Resource location for the AFP fonts 1.1 DTD.
      See Also:
        Constant Field Values

    - #### AFP_DTD_1_2_ID

          public static final String AFP_DTD_1_2_ID

      Public ID for the AFP fonts 1.2 DTD.
      See Also:
        Constant Field Values

    - #### AFP_DTD_1_2_RESOURCE

          public static final String AFP_DTD_1_2_RESOURCE

      Resource location for the AFP fonts 1.2 DTD.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DTDEntityResolver

          public DTDEntityResolver()

  - ### Method Detail

    - #### resolveEntity

          public InputSource resolveEntity(String publicId,
                                           String systemId)
                                    throws IOException

      Resolve the combination of system and public identifiers. If this resolver recognises the publicId, it will handle the resolution from the classpath, otherwise it will return null and allow the default resolution to occur.
      Specified by:
        `resolveEntity` in interface `EntityResolver`
      Parameters:
        `publicId` - the public identifier to use
        `systemId` - the system identifier to resolve
      Returns:
        An input source to the entity or null if not handled
      Throws:
        `IOException` - an error reading the stream

Copyright © 2023 Apache Software Foundation. All rights reserved.